org.icefaces.ace.component.listcontrol

## Interface IListControl

- All Known Implementing Classes:
    ListControl, ListControlBase

      public interface IListControl

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAllLeftClass()`
    `java.lang.String` | `getAllRightClass()`
    `java.lang.String` | `getControlClass()`
    `java.lang.String` | `getFooterClass()`
    `java.lang.String` | `getFooterStyle()`
    `java.lang.String` | `getFormat()`
    `java.lang.String` | `getHeaderClass()`
    `java.lang.String` | `getHeaderStyle()`
    `java.lang.String` | `getLeftClass()`
    `DualListPosition` | `getPosition()`
    `java.lang.Object` | `getRenderContext()`
    `java.lang.String` | `getRightClass()`
    `java.lang.String` | `getSelector()`
    `java.lang.String` | `getSpacerClass()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `void` | `setAllLeftClass(java.lang.String allLeftClass)`
    `void` | `setAllRightClass(java.lang.String allRightClass)`
    `void` | `setControlClass(java.lang.String controlClass)`
    `void` | `setFooterClass(java.lang.String footerClass)`
    `void` | `setFooterStyle(java.lang.String footerStyle)`
    `void` | `setFormat(java.lang.String format)`
    `void` | `setHeaderClass(java.lang.String headerClass)`
    `void` | `setHeaderStyle(java.lang.String headerStyle)`
    `void` | `setLeftClass(java.lang.String leftClass)`
    `void` | `setPosition(DualListPosition position)`
    `void` | `setRenderContext(java.lang.Object renderContext)`
    `void` | `setRightClass(java.lang.String rightClass)`
    `void` | `setSelector(java.lang.String selector)`
    `void` | `setSpacerClass(java.lang.String spacerClass)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`

- - ### Method Detail

    - #### setAllLeftClass

          void setAllLeftClass(java.lang.String allLeftClass)

    - #### getAllLeftClass

          java.lang.String getAllLeftClass()

    - #### setAllRightClass

          void setAllRightClass(java.lang.String allRightClass)

    - #### getAllRightClass

          java.lang.String getAllRightClass()

    - #### setControlClass

          void setControlClass(java.lang.String controlClass)

    - #### getControlClass

          java.lang.String getControlClass()

    - #### setFooterClass

          void setFooterClass(java.lang.String footerClass)

    - #### getFooterClass

          java.lang.String getFooterClass()

    - #### setFooterStyle

          void setFooterStyle(java.lang.String footerStyle)

    - #### getFooterStyle

          java.lang.String getFooterStyle()

    - #### setFormat

          void setFormat(java.lang.String format)

    - #### getFormat

          java.lang.String getFormat()

    - #### setHeaderClass

          void setHeaderClass(java.lang.String headerClass)

    - #### getHeaderClass

          java.lang.String getHeaderClass()

    - #### setHeaderStyle

          void setHeaderStyle(java.lang.String headerStyle)

    - #### getHeaderStyle

          java.lang.String getHeaderStyle()

    - #### setLeftClass

          void setLeftClass(java.lang.String leftClass)

    - #### getLeftClass

          java.lang.String getLeftClass()

    - #### setPosition

          void setPosition(DualListPosition position)

    - #### getPosition

          DualListPosition getPosition()

    - #### setRightClass

          void setRightClass(java.lang.String rightClass)

    - #### getRightClass

          java.lang.String getRightClass()

    - #### setSelector

          void setSelector(java.lang.String selector)

    - #### getSelector

          java.lang.String getSelector()

    - #### setSpacerClass

          void setSpacerClass(java.lang.String spacerClass)

    - #### getSpacerClass

          java.lang.String getSpacerClass()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setRenderContext

          void setRenderContext(java.lang.Object renderContext)

    - #### getRenderContext

          java.lang.Object getRenderContext()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.